NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.LineDesigner.PickRectanglePointsBuilder Class Reference

Pick Rectangle Points More...

Inheritance diagram for NXOpen.LineDesigner.PickRectanglePointsBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void ResetData ()
 To reset rectangle data More...
 
unsafe void ResetWidthHeight ()
 To reset rectangle width and height More...
 
unsafe void SetWidthHeight (double width, double height)
 To set rectangle width and height More...
 
unsafe void UpdateRecAngle (double angle)
 To update rectangle angle More...
 
unsafe void UpdateRecHeight (double height)
 To update rectangle height More...
 
unsafe void UpdateRectangle ()
 To update rectangle points More...
 
unsafe void UpdateRecWidth (double width)
 To update rectangle width More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AllowRotation [get, set]
 Returns or sets the check for rotaion More...
 
unsafe NXOpen.SelectPartList PointsSelection [get]
 Returns the points of selection are return More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Pick Rectangle Points

To create a new instance of this class, use NXOpen.LineDesigner.LineDesignerManager.CreatePickRectanglePointsBuilder

Created in NX9.0.0

Member Function Documentation

unsafe void NXOpen.LineDesigner.PickRectanglePointsBuilder.ResetData ( )
inline

To reset rectangle data

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

unsafe void NXOpen.LineDesigner.PickRectanglePointsBuilder.ResetWidthHeight ( )
inline

To reset rectangle width and height

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

unsafe void NXOpen.LineDesigner.PickRectanglePointsBuilder.SetWidthHeight ( double  width,
double  height 
)
inline

To set rectangle width and height

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

Parameters
width
height
unsafe void NXOpen.LineDesigner.PickRectanglePointsBuilder.UpdateRecAngle ( double  angle)
inline

To update rectangle angle

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

Parameters
angle
unsafe void NXOpen.LineDesigner.PickRectanglePointsBuilder.UpdateRecHeight ( double  height)
inline

To update rectangle height

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

Parameters
height
unsafe void NXOpen.LineDesigner.PickRectanglePointsBuilder.UpdateRectangle ( )
inline

To update rectangle points

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

unsafe void NXOpen.LineDesigner.PickRectanglePointsBuilder.UpdateRecWidth ( double  width)
inline

To update rectangle width

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")

Parameters
width
unsafe bool NXOpen.LineDesigner.PickRectanglePointsBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe bool NXOpen.LineDesigner.PickRectanglePointsBuilder.AllowRotation
getset

Returns or sets the check for rotaion

Created in NX9.0.0

License requirements to get this property: ld_line_designer ("FULL LINE DESIGNER")

License requirements to set this property: ld_line_designer ("FULL LINE DESIGNER")

unsafe NXOpen.SelectPartList NXOpen.LineDesigner.PickRectanglePointsBuilder.PointsSelection
get

Returns the points of selection are return

Created in NX9.0.0

License requirements: ld_line_designer ("FULL LINE DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.